include(FetchContent)

FetchContent_Declare(
  Catch2
  GIT_REPOSITORY https://github.com/catchorg/Catch2.git
  GIT_TAG        v2.13.6)

FetchContent_MakeAvailable(Catch2)

add_executable(test_calc test_calc.cpp)
target_link_libraries(test_calc PRIVATE Catch2::Catch2 assignment)
add_test(NAME test_calc COMMAND test_calc)

add_executable(test_spatial_grid test_spatial_grid.cpp)
target_link_libraries(test_spatial_grid PRIVATE Catch2::Catch2 assignment)
add_test(NAME test_spatial_grid COMMAND test_spatial_grid)